This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 123122 - grub does not correctly populate new device.map for Compaq/HP SmartArray
grub does not correctly populate new device.map for Compaq/HP SmartArray
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: grub (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-12 14:11 EDT by Mark Seger
Modified: 2007-04-18 13:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-27 13:51:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Seger 2004-05-12 14:11:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6)
Gecko/20040113

Description of problem:
As the title says, if you run grub --device-map=foo and then quit, the
contents of foo only show an entry for (fd0).  This is also true in
the case where you run grub-install --recheck which tells grub to
regenerate the device.map file.


Version-Release number of selected component (if applicable):
0.93

How reproducible:
Always

Steps to Reproduce:
1.grub --device-map=/tmp/foo
2.cat /tmp/foo
3.look at contents
    

Actual Results:  file 'foo' does not conain an entry for the disk

Expected Results:  (hda0) /dev/cciss/c0d0

Additional info:

Note You need to log in before you can comment on or make changes to this bug.